/* 當你想為某一個區塊或方塊，增加背景，請在該區塊/方塊上增加class名稱
例如：

在HTML裡：
<div class="abc">我要增加背景</div> 

在css裡：
.abc{
    background-image: url(../images/body_bg.webp);  <------圖檔位置
    background-position: center; <-----圖片在區塊/方塊裡的定位
    background-size: cover;  <-----圖片在區塊/方塊裡的大小
}

 */

/* 補充 
    學習資料
    https://ithelp.ithome.com.tw/articles/10223887
    https://ithelp.ithome.com.tw/articles/10224214
*/

/* 全站背景 */
body {
  background-image: url(../images/bodybg.png);
  background-color: #f5a30f;
  background-position: top center;
  background-size: 2600px;
  background-repeat: repeat-y;
}

main {
  background-image: url(../images/mainbg.png);
  background-position: top center;
  background-size: 2600px;
  background-repeat: no-repeat;
}

@media (max-width: 1199px) {
  body {
    background-size: 2200px;
    background-repeat: repeat-y;
  }
  
  main {
    background-size: 2200px;
    background-repeat: no-repeat;
  }
}

@media (max-width: 991px) {
  body {
    background-size: 1800px;
    background-repeat: repeat-y;
  }
  
  main {
    background-size: 1800px;
    background-repeat: no-repeat;
  }
}

@media (max-width: 767px) {
  body {
    background-image: unset;
    background-color: #f5a30f;
  }
  
  main {
    background-image: url(../images/mainbgm.png);
    background-position: top center;
    background-size: 105%;
    background-repeat: repeat-y;
  }
  
}

/* KV */
#kvTopBN2 {
  position: relative;
}

#kvTopBN2 .kvtt {
  margin-top: -25px;
  margin-bottom: 25px;
  animation: shineSuddenly 3000ms ease-in -1s infinite both;
}

#kvTopBN2 .kvslides {
  width: 46.93%;
  max-width: 46.93%;
  height: 100%;
  top: -25px;
  right: 3%;
  text-align: center;
  /* background: #00000031; */
  background: url("../images/bgpd.png");
  background-size: cover;
}

#kvTopBN2 .kvslides .swiper-pagination {
  bottom: 90px;
}

@media (max-width: 767px) {
  #kvTopBN2 .kvslides {
    width: 100%;
    max-width: 100%;
    height: auto;
    top: unset;
    bottom: 0px;
    right: 0;
    text-align: center;
    /* background: #00000031; */
    background: url("../images/bgpd.png");
    background-size: auto 100%;
    background-position: center center;
    background-repeat: no-repeat;
  }
}

@media (max-width: 480px) {
  #kvTopBN2 {
    position: relative;
    background: url("../images/kvbgm.png");
    background-size: 100% 100%;
  }

  #kvTopBN2 .kvtt {
    margin-top: -25px;
    margin-bottom: 25px;
    animation: shineSuddenly 3000ms ease-in -1s infinite both;
  }
  
  #kvTopBN2 .kvslides {
    width: 87%;
    max-width: 87%;
    height: auto;
    top: unset;
    bottom: 0px;
    right: 6.5%;
    text-align: center;
    /* background: #00000031; */
    background: url("../images/bgpd.png");
    background-size: contain;
    background-repeat: no-repeat;
  }
  
  #kvTopBN2 .kvslides .swiper-pagination {
    bottom: 10px;
  }
}

#kvTOPBN2 .animate__animated.animate__bounceIn {
  --animate-duration: 200ms;
  --animate-delay: 0.1s;
}

#kvTopBN2 .animate__animated.animate__fadeInDownBig {
  --animate-duration: 800ms;
  --animate-delay: 0.3s;
}

.lights {
  position: relative;
  width: 100%;
  pointer-events: none;
}

.light {
  position: absolute;
  width: 60%;
  top: -100px;
  mix-blend-mode: screen;
}

.lightLeft {
  /* display: none; */
  transform-origin: left top;
  filter: brightness(1.2);
  animation: lightTurnLeft 2.5s ease-in-out -1s infinite alternate both;
}

.lightRight {
  top: -220px;
  transform-origin: right top;
  filter: brightness(1.2) blur(1.5);
  animation: lightTurnRight 2.5s ease-in-out 0.75s infinite alternate both;
}

@media (max-width: 767px) {
  .light {
    position: absolute;
    /* background: #fff; */
    width: 70%;
    top: -30px;
    left: -10%;
    mix-blend-mode: screen;
  }
  
  .lightLeft {
    transform-origin: left top;
    filter: brightness(1.2);
    animation: lightTurnLeft 2.5s ease-in-out -1s infinite alternate both;
  }
  
  .lightRight {
    left: unset;
    right: -10%;
    transform-origin: right top;
    filter: brightness(1.2) blur(3);
    animation: lightTurnRight 2.5s ease-in-out 0.75s infinite alternate both;
  }
}

@keyframes lightTurnLeft {
  0% {rotate: 15deg; opacity: 0.8;}
  50% {opacity: 0.5;}
  100% {rotate: -5deg; opacity: 1;}
}

@keyframes lightTurnRight {
  0% {rotate: 5deg; opacity: 0.8;}
  50% {opacity: 0.5;}
  100% {rotate: -15deg; opacity: 1;}
}

@keyframes shineSuddenly {
  0%, 4%, 11%, 100% {
    filter: brightness(1);
  }
  3% {filter: brightness(1.5);}
  10% {filter: brightness(2);}
}

.decos {
  width: 100%;
  pointer-events: none;
}

.deco {
  position: absolute;
  width: 100%;
  top: -20px;
}

.bg02 {
  background: url("../images/bg02.png");
  background-position: center top;
  background-size: 2400px;
  padding: 5px 0 20px;
  margin: 20px 0;
}

@media (max-width: 767px) {
  .bg02 {
    background-position: center top;
    background-size: 1800px;
    padding: 5px 0 20px;
  }
}

.shineWord {
  position: absolute;
  text-align: center;
  top: 0;
  left: 0;
  right: 0;
  background: none 0% 0% / auto repeat scroll padding-box border-box
    rgba(0, 0, 0, 0);
  overflow: hidden;
  z-index: 1;
  pointer-events: none;
  -webkit-filter: brightness(1.5);
  filter: brightness(1.5);
  -webkit-mask-size: 500% 400%;
  mask-size: 500% 400%;
  -webkit-mask-image: -webkit-linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0) 40%,
    rgba(255, 255, 255, 1) 50%,
    rgba(255, 255, 255, 0) 60%
  );
  mask-image: -webkit-linear-gradient(
    -45deg,
    rgba(255, 255, 255, 0) 40%,
    rgba(255, 255, 255, 1) 50%,
    rgba(255, 255, 255, 0) 60%
  );
  transition: -webkit-mask-position;
  transition-duration: 3s;
  transform: translate3d(0, 0, 0);
  -webkit-animation: move 2s linear infinite;
  animation: move 2s linear infinite;
}

@-webkit-keyframes move {
  from {
    -webkit-mask-position: 150% 0px;
    mask-position: 150% 0px;
  }
  to {
    -webkit-mask-position: 0% 0px;
    mask-position: 0% 0px;
  }
}

@keyframes move {
  from {
    -webkit-mask-position: 150% 0px;
    mask-position: 150% 0px;
  }
  to {
    -webkit-mask-position: 0% 0px;
    mask-position: 0% 0px;
  }
}

/* 按鈕顏色 */
.btnset a {
  color: #ca9f37;
  border: 3px solid #be0602;
  background-color: #fff;
  box-shadow: 3px 5px #880f0f;
  line-height: 1.2;
} /*來去逛逛*/

.btnset a:hover {
  /*    color: rgb(44, 40, 1);*/
  color: #fff;
  border: 3px solid #ffd392;
  background-color: #ca141d;
  box-shadow: 3px 5px #8d6e40;
} /*來去逛逛滑鼠移入*/

@media (max-width: 991px) {
  .btnset {
    font-size: 14px;
  }
}

@media (max-width: 425px) {
  .btnset {
    font-size: 12px;
  }
}

.nocarslideinnBox01 {
  background-color: #084b7d;
  padding: 10px;
}

/* 原價特價折疊控制 打開變1列 關掉變2列 */
.productSetprice .priceBox {
  flex-direction: row !important;
}

/* logo區圖片大小控制 */
.logooutbox .logoinn {
  flex-basis: 11%;
}

/* 其他東西自己寫這↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓ */

.squarepppinfoinn-box.pppinfobox {
  background: #075f9e;
  text-decoration: none;
  color: #fff;
}

/* 斷點區 */

@media screen and (max-width: 1659px) {
}
@media screen and (max-width: 1399px) {
}
@media screen and (max-width: 1199px) {
}

@media screen and (max-width: 991px) {
}

@media screen and (max-width: 767px) {
  .actablebox {
    font-size: 14px;
  }
  .actablebox th.table-title {
    font-size: 1.2rem;
  }
}

@media screen and (max-width: 640px) {
  .logooutbox .logoinn {
    flex-basis: 24%;
  }
}

@media screen and (max-width: 480px) {
}

/* 特效 */
/* 硬幣飛 */
.flyCoins {
  z-index: 9;
  position: absolute;
  pointer-events: none;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: repeat-y;
  background-position: center top;
  background-size: 1450px;
  background-image: url(../images/coins.png);
}

.flyLeft {
  z-index: 9;
  position: fixed;
  pointer-events: none;
  width: 25vw;
  top: 58vh;
  left: -10vw;
}

.flyRight {
  z-index: 9;
  position: fixed;
  pointer-events: none;
  width: 25vw;
  top: 20vh;
  right: -10vw;
}

@media (max-width: 767px) {
  .flyCoins {
    z-index: 9;
    background: unset;
  }
}

/* 滑鼠視差 */
.mouseParallax {
  position: fixed;
  width: 100vw;
  height: 100vh;
  bottom: -50vh;
  left: 0;
  background: #7f7f7f29;
}

.cloud {
  position: absolute;
  top: 0;
  bottom: 0;
  width: auto;
  height: auto;
  z-index: 999;
  opacity: 0.8;
}

/* 效果 */
.hvr-enlarge img {
  transition: all 0.5s 0 linear;
}

.hvr-enlarge:hover {
  filter: brightness(1.08);
}

.hvr-enlarge:hover img {
  /* scale: 1.05; */
}

/* .swiper-pagination-bullet {
  opacity: 0.8;
  background: #fff;
} */

.swiper-pagination-bullet-active {
  opacity: 0.8;
  background: #f6ff00;
}

/* 精選活動 */
.secactivity {
  margin-top: -50px;
}

.secactivity .container {
  background: url("../images/bgactivity.png");
  background-position: center bottom;
  background-repeat: no-repeat;
  filter: drop-shadow(0 5px 8px #762c0ea5);
}

.secactivity .activity03 {
  margin-top: -5px;
}

@media (max-width: 1199px) {
  .secactivity .container {
    background-size: contain;
  }
}

@media (max-width: 767px) {
  .secactivity {
    margin-top: 0px;
  }
  
  .secactivity .container {
    background: url("../images/bgactivitym.png");
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    filter: drop-shadow(0 5px 8px #762c0ea5);
  }
}

#sechot {
  background: url("../images/bgstage.png");
  background-position: center bottom;
  background-repeat: no-repeat;
  margin-top: 20px;
}

#sechot .slides {
  padding-bottom: 110px;
}

@media (max-width: 767px) {
  #sechot {
    background: url("../images/bgstage.png");
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: 160%;
    margin-top: 20px;
  }
  
  #sechot .slides {
    padding-bottom: 40px;
  }
}

.nocarslideBox {
  margin: 70px 0;
}

.nocarslideBox .container {
  background: #000000b4;
  border: 4px solid #ffc500;
  border-radius: 43px;
  padding: 0 20px 20px;
}

.nocarslideBox .title {
  margin-top: -62px;
}

@media (max-width: 767px) {
  .nocarslideBox {
    margin: 70px 0;
  }
  
  .nocarslideBox .container {
    background: #000000b4;
    border: 2px solid #ffc500;
    border-radius: 22px;
    padding: 20px 10px 20px;
  }
  
  .nocarslideBox .title {
    margin-top: -62px;
  }
}

/* 品類 */
.seccategory .cates .content {
  background: url("../images/bgcate.png");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center bottom;
  margin-top: -40px;
}

.seccategory .cates:nth-child(even) {
  margin-top: 60px;
}

@media (max-width: 767px) {
  .seccategory .cates {
    margin: 30px 0;
  }

  .seccategory .cates:nth-child(even) {
    margin-top: unset;
  }
}

/* 品類2 */
.nocarslideBox-6 {
  background: url("../images/bgcateb.png");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: center bottom;
  padding: 60px 10px 40px;
  margin-top: -65px;
}

.nocarslideBox-6 .productSetprice {
  background-color: #fff;
  margin: 0 5px;
  padding-bottom: 20px;
  border-radius: 40px;
}

/* 活動辦法 */
section#method {
  color: #fff;
  text-shadow: 0 1px 6px #4f2a00;
}

section#method a {
  color: #f6ff00;
  text-shadow: 0 1px 6px #4f2a00;
}


section#method a:hover {
  display: inline-block;
  color: #fc0000;
  background: #f6ff00;
  padding: 0 5px;
  border-radius: 12px;
  text-shadow: 0 0 0 #fff;
}